import 'package:flutter/material.dart';
import 'package:quick_share/quick_share.dart';

void main() => runApp(const MaterialApp(
  home: ScreenshotTest(),
));

class ScreenshotTest extends StatelessWidget {
  const ScreenshotTest({ Key? key }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: SingleChildScrollView(
          child: Column(
            children: [
              const QuickShareFiles(
                shareButton: Padding(
                  padding: EdgeInsets.symmetric(
                    vertical: 10,
                  ),
                  child: Text(
                    "Click me to share files",
                  ),
                ),
              ),
              QuickShareScreenshot(
                child: const Text("Some text here for absolutely no reason."), 
                shareButton: const Padding(
                  padding: EdgeInsets.symmetric(
                    vertical: 10,
                  ),
                  child: Text("Click me to share"),
                ), 
                buttonPlacement: ButtonPlacement.top,
              ),
            ],
          ),
        ),
      ),
    );
  }
}
